#
# spec file for package python-dbf
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dbf
Version:        0.98.0
Release:        2.1
Summary:        Pure python package for reading/writing dBase, FoxPro, and Visual FoxPro .dbf
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://pypi.org/project/dbf/
Source:         https://files.pythonhosted.org/packages/source/d/dbf/dbf-%{version}.tar.gz
BuildRequires:  %{python_module aenum}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-aenum
Requires:       python-pytz
BuildArch:      noarch
%python_subpackages

%description
Pure python package for reading/writing dBase, FoxPro, and Visual FoxPro .dbf
files (including memos)

Currently supports dBase III, Clipper, FoxPro, and Visual FoxPro tables. Text is
returned as unicode, and codepage settings in tables are honored. Memos and Null
fields are supported.

%prep
%setup -q -n dbf-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python dbf/test.py

%files %{python_files}
%license dbf/LICENSE
%{python_sitelib}/dbf-%{version}-py*.egg-info
%{python_sitelib}/dbf

%changelog
* Tue Mar 19 2019 tchvatal@suse.com
- Update to 0.98.0:
  * fix resize_field to work on empty tables
  * fix export to fixed-width by using codecs.open
  * allow non-standard characters in field names (with warnings)
- Run tests
* Thu Dec  6 2018 tchvatal@suse.com
- Version update to 0.97.11:
  * No obvious changelog
- Fix fdupes call
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 0.97.5
  * Fix bug in VFP doubles
  * Fix field creation flag handling
  * Allow (redundant) "binary" flag on binary type fields
  * Fix fp/FoxBase table header creation
  * Can now open dbf files as read-only when lacking write permissions.
  * Moved to a single 2/3 code base.
  * Opening a database now defaults to dbf.READ_ONLY; can also use dbf.READ_WRITE;
    the corresponding strings are no longer supported.
- Spec file cleanups
- License is now included in source archive
* Wed Jul 26 2017 bruno@ioda-net.ch
-specfile add line to fix build for Leap
* Wed Jun  7 2017 bruno@ioda-net.ch
- specfile move to unified single-spec-python
* Sat Jul 23 2016 arun@gmx.de
- specfile:
  * update copyright year
  * no more README or WHATSNEW in tar-ball
- update to version 0.96.8:
  (no changelog available)
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Thu Nov 19 2015 bruno@ioda-net.ch
- Initial packaging on obs
  * Including from upstream missing LICENSE file
  * Fix eol by sed
